Skip to main content
GET
/
api
/
dashboard
/
products
List Products
curl --request GET \
  --url https://api.example.com/api/dashboard/products
{
  "products": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "vendor": "<string>",
      "product_type": "<string>",
      "tags": [
        "<string>"
      ],
      "price": "<string>",
      "compare_at_price": "<string>",
      "cost_per_item": "<string>",
      "currency": "<string>",
      "images": [
        {}
      ],
      "has_variants": true,
      "options": [
        {}
      ],
      "variants": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sku": "<string>",
          "barcode": "<string>",
          "option1": "<string>",
          "option2": "<string>",
          "option3": "<string>",
          "price": "<string>",
          "compare_at_price": "<string>",
          "cost_per_item": "<string>",
          "inventory_quantity": 123,
          "inventory_policy": "<string>",
          "low_stock_threshold": 123,
          "weight": "<string>",
          "weight_unit": "<string>",
          "requires_shipping": true,
          "image_url": "<string>",
          "available": true,
          "is_low_stock": true,
          "is_out_of_stock": true,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "track_inventory": true,
      "total_inventory": 123,
      "in_stock": true,
      "status": "<string>",
      "published_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
search
string | null
status
string | null
category
string | null

Response

Successful Response

Schema for paginated product list.

products
ProductResponse · object[]
required
total
integer
required
page
integer
required
limit
integer
required
pages
integer
required